import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$2 } from './p-CYNfh6s8.js';

const DgaInlineAlertUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaInlineAlertUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.variant = 'neutral';
    }
    render() {
        return (h("div", { key: 'f2ad39ec1b4a3587cb41692abfd2c1609a05e9c1', dir: 'rlt' }, h("h1", { key: '806e8b65193b70ca0310637dba710f8ca4e673a8' }, "Inline ALert Example"), h("div", { key: '91b1d89f92c87f1e326df547cb9d6dac1a076033', style: { padding: '50px', display: 'flex', gap: '20px' } }, h("div", { key: '5c548fa8c56758967c05a6926215ec137481eac3', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }, h("dga-inline-alert", { key: '5c48a3def2e6a1d90ae4f38541505b46d71fc261', type: "neutral", leadText: "Notification/Alert message title ", helperText: "When a nation, it goes here.", colored: true }), h("dga-inline-alert", { key: 'daa3dc5579a7376cebe370db15f31ea57024c8c8', type: "error", leadText: "Notification/Alert message title ", helperText: "When a Notification/Alert needs a further detailed explanation, it goes here.", colored: true }), h("dga-inline-alert", { key: '8fddcebd1adec42a5ab247f22ba024a158e43cd7', type: "info", leadText: "Notification/Alert message title ", helperText: "When a Notification/Alert needs a further detailed explanation, it goes here.", colored: true }), h("dga-inline-alert", { key: 'cf9fb582dbeaf659210c1f03ab310bce24f6b3c4', type: "success", leadText: "Notification/Alert message title ", helperText: "When a Notification/Alert needs a further detailed explanation, it goes here.", colored: true }), h("dga-inline-alert", { key: '5d61245611647a8e8eeeba9192aa350f9986b4db', type: "warning", leadText: "Notification/Alert message title ", helperText: "When a Notification/Alert needs a further detailed explanation, it goes here.", colored: true })), h("div", { key: '44bc14611173d294eab35788af0cd4418f65e413', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }))));
    }
}, [0, "dga-inline-alert-usage", {
        "variant": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-inline-alert-usage", "dga-inline-alert"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-inline-alert-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaInlineAlertUsage$1);
            }
            break;
        case "dga-inline-alert":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaInlineAlertUsage = DgaInlineAlertUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaInlineAlertUsage, defineCustomElement };
